View Issue Details

IDProjectCategoryView StatusLast Update
0001581SymmetricDSNew Featurepublic2014-06-16 20:27
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001581: Add support for multiple channels for file sync
DescriptionAdd support for multiple channels for file sync

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c7d6061e

2014-03-21 16:12:19

chenson

Details Diff
0001581: Add support for multiple channels for file sync
0001581
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeChannel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

SymmetricDS: master cb7400a6

2014-03-23 15:59:35

chenson

Details Diff
0001581: Add support for multiple channels for file sync
0001581
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: master f7abf64d

2014-03-23 19:21:34

chenson

Details Diff
0001581: Add support for multiple channels for file sync
0001581
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master cdb7e569

2014-03-24 11:30:35

chenson

Details Diff
0001581: Add support for multiple channels for file sync
0001581
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-server/src/test/resources/org/jumpmind/symmetric/test/FileSyncTest.csv Diff File

Issue History

Date Modified Username Field Change
2014-02-13 15:00 chenson New Issue
2014-02-13 15:00 chenson Status new => assigned
2014-02-13 15:00 chenson Assigned To => chenson
2014-02-13 17:48 chenson Target Version => 3.6.0
2014-03-21 17:00 Changeset attached => SymmetricDS trunk r8093
2014-03-23 16:00 Changeset attached => SymmetricDS trunk r8096
2014-03-23 19:21 chenson Status assigned => resolved
2014-03-23 19:21 chenson Fixed in Version => 3.6.0
2014-03-23 19:21 chenson Resolution open => fixed
2014-03-23 20:00 Changeset attached => SymmetricDS trunk r8098
2014-03-24 12:00 Changeset attached => SymmetricDS trunk r8099
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cdb7e569
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f7abf64d
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cb7400a6
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c7d6061e